unit RichEditDll;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ComCtrls, OleCtrls, ExtCtrls, Buttons,
  MOZILLACONTROLLib_TLB;

type
  TDllForm = class(TForm)
    Panel2: TPanel;
    RichEdit1: TRichEdit;
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  DllForm: TDllForm;

{$ifdef WIN32}
procedure ZeigDich;
procedure Maximieren;
procedure Minimieren;
procedure Normal;
procedure DLLFormWidth(L, B: Integer);
procedure DLLFormHeight(T, H: Integer);
function  StringEinsetzen(S: WideString): WideString;
procedure SchriftArtNeu(SchrN: WideString);
procedure DateiSpeichern(SName: WideString);
procedure DateiLaden(LName: WideString);
procedure Sichtbar(Zustand: WideString);
{$else}
procedure ZeigDich; export;
procedure Maximieren; export;
procedure Minimieren; export;
procedure Normal; export;
procedure DLLFormWidth(L, B: Integer); export;
procedure DLLFormHeight(T, H: Integer); export;
function  StringEinsetzen(S: WideString): WideString; export;
procedure SchriftArtNeu(SchrN: WideString); export;
procedure DateiSpeichern(SName: WideString); export;
procedure DateiLaden(LName: WideString); export;
procedure Sichtbar(Zustand: WideString); export;
{$endif}

implementation

{$R *.DFM}


Procedure ZeigDich;
begin
  DllForm := TDllForm.Create(Application);
 { DllForm.WindowState := wsMinimized; }
  DllForm.Show;
end;

procedure Maximieren;
begin
  DllForm.WindowState := wsMaximized;
end;

procedure Minimieren;
begin
  DllForm.WindowState := wsMinimized;
end;

procedure Normal;
begin
  DllForm.WindowState := wsNormal;
end;

procedure TDllForm.BitBtn2Click(Sender: TObject);
begin
  DllForm.Release;
end;

procedure DLLFormWidth(L, B: Integer);
begin
  DllForm.Visible := False;
  DllForm.Left := L;
  DllForm.Width := B;
  DllForm.Visible := True;
end;

procedure DLLFormHeight(T, H: Integer);
begin
  DllForm.Visible := False;
  DllForm.Top := T;
  DllForm.Height := H;
  DllForm.Visible := True;
end;

function  StringEinsetzen(S: WideString): WideString;
begin
  DllForm.RichEdit1.Lines.Add(S);
  StringEinsetzen := 'String wurde bergeben';
end;

procedure SchriftArtNeu(SchrN: WideString);
begin
  DllForm.RichEdit1.Font.Name := SchrN;
end;

procedure DateiSpeichern(SName: WideString);
begin
  DllForm.RichEdit1.Lines.SaveToFile(SName);
end;

procedure DateiLaden(LName: WideString);
begin
  DllForm.RichEdit1.Lines.LoadFromFile(LName);
end;

procedure Sichtbar(Zustand: WideString);
begin
  If Zustand = 'True' Then
    begin
      DllForm.Visible := True;
    end;
  If Zustand = 'False' Then
    begin
      DllForm.Visible := False;
    end;
end;

end.
